Foreman - Bug #32536

API - ISE when using invalid status type
05/06/2021 08:55 AM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: yifat makias
Category: Inventory
Target version: 251
Difficulty: Fixed in Releases: 2.5.1,3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1852897 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8561,
https://github.com/theforeman/foreman/p
ull/8591
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1852897

Description of problem:
"/api/hosts/:id/status" endpoints have been removed in bug 1791656. They were replaced by "/api/hosts/:id/status/:type" where type
is either "configuration" or "build". When anything other is used for type, ISE occurs.

Version-Release number of selected component (if applicable):
Sat 6.8 snap 6.0.

How reproducible:
Deterministic

Steps to Reproduce:
1. # curl -H "Content-Type:application/json" -X GET -k -u admin:<password> https://&lt:fqdn&agt;/api/hosts/1/status/nonexistent
{"status":500,"error":"Internal Server Error"}

Actual results:
ISE

Expected results:
Sanely handled error or 404

Associated revisions

Revision dc82c65c - 06/01/2021 12:29 PM - yifat makias

Fixes #32536 - add valid error when using invalid status type

History

#1 - 05/31/2021 01:13 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to yifat makias

- Pull request https://github.com/theforeman/foreman/pull/8561 added

#2 - 06/01/2021 12:29 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#3 - 06/01/2021 01:02 PM - yifat makias
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|dc82c65¢535ac0cd405345dd7fa36e64912370d9.
https://bugzilla.redhat.com/show_bug.cgi?id=1852897
https://&lt;fqdn&gt;/api/hosts/1/status/nonexistent
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/dc82c65c535ac0cd405345dd7fa36e64912370d9

#4 - 06/08/2021 01:38 PM - Tomer Brisker

- Subject changed from API - ISE when using invalid status type
to API - ISE when using invalid status type

- Target version set to 2.5.1

#5 - 06/14/2021 10:03 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8591 added

#6 - 06/14/2021 02:39 PM - Tomer Brisker
- Fixed in Releases 2.5.1 added
